%bcond_with runtests

Name:      pykickstart
Version:   3.30
Release:   1
Summary:   Python utilities for manipulating kickstart files.
License:   GPLv2 and MIT
Url:       http://fedoraproject.org/wiki/pykickstart
Source0:   https://github.com/pykickstart/pykickstart/releases/download/r3.30/%{name}-%{version}.tar.gz
Source1:   https://github.com/pykickstart/pykickstart/releases/download/r3.30/%{name}-%{version}.tar.gz.asc

BuildArch: noarch

BuildRequires: gettext python3-coverage python3-devel python3-nose
BuildRequires: python3-requests python3-setuptools
BuildRequires: python3-six python3-sphinx git

Requires: python3-kickstart = %{version}-%{release}

%description
Python utilities for manipulating kickstart files.

%package    help
Summary:    Help manual for %{name}

%description    help
The %{name}-help package conatins man manual

%package -n python3-kickstart
Summary:  Python 3 library for manipulating kickstart files.
Requires: python3-six python3-requests

%description -n python3-kickstart
Python 3 library for manipulating kickstart files.  The binaries are found in
the pykickstart package.

%package -n python-kickstart-help
Summary: Help manual for python2-kickstart and python3-kickstart

%description -n python-kickstart-help
The python-kickstart-help package conatins kickstart-docs and programmers-guide

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
make PYTHON=%{__python3}

%install
make PYTHON=%{__python3} DESTDIR=%{buildroot} install

%check
%if %{with runtests}
make PYTHON=%{__python3} test
%endif

%files
%license COPYING
%doc data/kickstart.vim
%doc README.rst
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff
%{_bindir}/ksshell

%files help
%{_mandir}/man1/ksflatten.1.gz
%{_mandir}/man1/ksshell.1.gz
%{_mandir}/man1/ksvalidator.1.gz
%{_mandir}/man1/ksverdiff.1.gz

%files -n python3-kickstart
%{python3_sitelib}/pykickstart
%{python3_sitelib}/pykickstart*.egg-info

%files -n python-kickstart-help
%doc docs/2to3
%doc docs/programmers-guide
%doc docs/kickstart-docs.txt

%changelog
* Tue Jan 26 2021 zoulin <zoulin13@huawei.com> - 3.30-1
- update version to 3.30

* Fri Jul 24 2020 wangchen<wangchen137@huawei.com> - 3.27-1
- update version to 3.27

* Mon Jun 22 2020 fengtao<fengtao40@huawei.com> - 3.25-1
- update version to 3.25

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.16-2
- Package init
